J3.x

PHP waarschuwingen bij PHP 7.0.9

From Joomla! Documentation

This page is a translated version of the page J3.x:PHP Warnings on PHP 7.0.9 and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands
Joomla! 
3.6.0

Gerapporteerde fouten

Warning: Parameter 1 to JError::customErrorPage() expected to be a reference, value given in JROOT\libraries\legacy\error\error.php on line 781

PHP Warning: Parameter 1 to PlgSystemRedirect::handleError() expected to be a reference, value given in JROOT/libraries/legacy/error/error.php on line 781

Getroffen versies

Algemene informatie

Dit heeft alleen betrekking op de Joomla! versie(s): 3.6.0

Wat is de oorzaak

Een niet B/C wijziging in PHP 7.0.9 welke wordt teruggedraaid in 7.0.10 (zie: https://bugs.php.net/bug.php?id=72698)

Hoe op te lossen

Toepassen: https://github.com/joomla/joomla-cms/pull/11360 of wacht op 3.6.1